Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Class Validator.V1

    java.lang.Object
      org.eclipse.wst.validation.Validator
          org.eclipse.wst.validation.Validator.V1

All Implemented Interfaces:
  java.lang.Comparable<Validator>

Direct Known Subclasses:
  Validator.V1.V1Copy

Enclosing class:
  Validator

    public static class Validator.V1

extends Validator

A validator that uses version 1 of the validation framework.

Nested Class Summary
`static class` | `Validator.V1.V1Copy`

Nested classes/interfaces inherited from class org.eclipse.wst.validation.Validator
`Validator.Level, Validator.V1, Validator.V2`

Constructor Summary
`Validator.V1(ValidatorMetaData vmd, ValidationConfiguration config, IProject project)` Create a new version 1 validator.

Method Summary
`IValidator` | `asIValidator()`
`Validator.V1` | `asV1Validator()` If you are a version 1 validator, answer yourself as one, otherwise answer null.
`Validator` | `copy(boolean includeChangeCounts)`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getValidatorClassname()` Answer the name of the class that implements the validator.
`ValidatorMetaData` | `getVmd()`
`boolean` | `setBuildValidation(boolean buildValidation)` Set whether this validator should be triggered by the build process.
`boolean` | `setManualValidation(boolean manualValidation)` Set whether this validator should be triggered as part of a manual validation.
`ValidationResult` | `validate(IResource resource, int kind, org.eclipse.wst.validation.internal.ValOperation operation, IProgressMonitor monitor)` Validate the resource.

Methods inherited from class org.eclipse.wst.validation.Validator
`asV2Validator, bumpChangeCountGlobal, bumpChangeCountMessages, clean, compareTo, copy, create, create, getChangeCountGlobal, getChangeCountMessages, getDelegatingId, getMarkerId, getMessage, getMessageSettings, getProject, getSourceId, getVersion, hasGlobalChanges, hashCodeForConfig, isBuildValidation, isChanged, isManualValidation, resetChangeCounters, sameConfig, setDelegatingId, setMarkerId, setSourceId, setVersion, shouldClearMarkers, shouldValidate, shouldValidate, shouldValidateProject, shouldValidateProject, toString, validate, validationFinishing, validationStarting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Validator.V1

    public Validator.V1(ValidatorMetaData vmd,
                        ValidationConfiguration config,
                        IProject project)

  Create a new version 1 validator.

  Parameters:
    `vmd` -
    `config` - this is used to set the global enablement options. In some case this can be null.

Method Detail

### asIValidator

    public IValidator asIValidator()

  Overrides:
    `asIValidator` in class `Validator`

### asV1Validator

    public Validator.V1 asV1Validator()

  Description copied from class: `Validator`
  If you are a version 1 validator, answer yourself as one, otherwise answer null.

  Overrides:
    `asV1Validator` in class `Validator`

### copy

    public Validator copy(boolean includeChangeCounts)

  Specified by:
    `copy` in class `Validator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Validator`

### getVmd

    public ValidatorMetaData getVmd()

### getValidatorClassname

    public java.lang.String getValidatorClassname()

  Description copied from class: `Validator`
  Answer the name of the class that implements the validator.

  Specified by:
    `getValidatorClassname` in class `Validator`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in class `Validator`

### setBuildValidation

    public boolean setBuildValidation(boolean buildValidation)

  Description copied from class: `Validator`
  Set whether this validator should be triggered by the build process.

  Overrides:
    `setBuildValidation` in class `Validator`
  Returns:
    true if the setting changed.

### setManualValidation

    public boolean setManualValidation(boolean manualValidation)

  Description copied from class: `Validator`
  Set whether this validator should be triggered as part of a manual validation.

  Overrides:
    `setManualValidation` in class `Validator`
  Returns:
    true if the setting changed.

### validate

    public ValidationResult validate(IResource resource,
                                     int kind,
                                     org.eclipse.wst.validation.internal.ValOperation operation,
                                     IProgressMonitor monitor)

  Description copied from class: `Validator`
  Validate the resource.

  Specified by:
    `validate` in class `Validator`
  Parameters:
    `resource` - The resource to be validated.
    `kind` - The kind of resource change, see IResourceDelta for values.
    `operation` - The operation that this validation is running under. This can be null.
    `monitor` - A way to report progress. This can be null.
  Returns:
    the result of doing the validation, it can be, but usually isn't null.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD